Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractTensorComponents Class Reference

`#include <vtkExtractTensorComponents.h>`

Inheritance diagram for vtkExtractTensorComponents:

[legend]
Collaboration diagram for vtkExtractTensorComponents:

[legend]
List of all members.

## Detailed Description

extract parts of tensor and create a scalar, vector, normal, or texture coordinates.

Date:
  2002/06/10 19:07:10

Revision:
  1.28

vtkExtractTensorComponents is a filter that extracts components of a tensor to create a scalar, vector, normal, or texture coords. For example, if the tensor contains components of stress, then you could extract the normal stress in the x-direction as a scalar (i.e., tensor component (0,0).

To use this filter, you must set some boolean flags to control which data is extracted from the tensors, and whether you want to pass the tensor data through to the output. Also, you must specify the tensor component(s) for each type of data you want to extract. The tensor component(s) is(are) specified using matrix notation into a 3x3 matrix. That is, use the (row,column) address to specify a particular tensor component; and if the data you are extracting requires more than one component, use a list of addresses. (Note that the addresses are 0-offset -> (0,0) specifies upper left corner of the tensor.)

There are two optional methods to extract scalar data. You can extract the determinant of the tensor, or you can extract the effective stress of the tensor. These require that the ivar ExtractScalars is on, and the appropriate scalar extraction mode is set.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (70%)
  - Geveci, Berk (9%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkExtractTensorComponents.cxx)`
  - .`h` (`/Graphics/vtkExtractTensorComponents.h)`

Tests:
  vtkExtractTensorComponents (Tests)

Definition at line 70 of file vtkExtractTensorComponents.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPassTensorsToOutput (int)
virtual int | GetPassTensorsToOutput ()
virtual void | PassTensorsToOutputOn ()
virtual void | PassTensorsToOutputOff ()
virtual void | SetExtractScalars (int)
virtual int | GetExtractScalars ()
virtual void | ExtractScalarsOn ()
virtual void | ExtractScalarsOff ()
virtual void | SetScalarComponents (int, int)
void | SetScalarComponents (int[2])
virtual int * | GetScalarComponents ()
virtual void | GetScalarComponents (int data[2])
virtual void | SetScalarMode (int)
virtual int | GetScalarMode ()
void | SetScalarModeToComponent ()
void | SetScalarModeToEffectiveStress ()
void | SetScalarModeToDeterminant ()
void | ScalarIsComponent ()
void | ScalarIsEffectiveStress ()
void | ScalarIsDeterminant ()
virtual void | SetExtractVectors (int)
virtual int | GetExtractVectors ()
virtual void | ExtractVectorsOn ()
virtual void | ExtractVectorsOff ()
virtual void | SetVectorComponents (int, int, int, int, int, int)
virtual void | SetVectorComponents (int[6])
virtual int * | GetVectorComponents ()
virtual void | GetVectorComponents (int data[6])
virtual void | SetExtractNormals (int)
virtual int | GetExtractNormals ()
virtual void | ExtractNormalsOn ()
virtual void | ExtractNormalsOff ()
virtual void | SetNormalizeNormals (int)
virtual int | GetNormalizeNormals ()
virtual void | NormalizeNormalsOn ()
virtual void | NormalizeNormalsOff ()
virtual void | SetNormalComponents (int, int, int, int, int, int)
virtual void | SetNormalComponents (int[6])
virtual int * | GetNormalComponents ()
virtual void | GetNormalComponents (int data[6])
virtual void | SetExtractTCoords (int)
virtual int | GetExtractTCoords ()
virtual void | ExtractTCoordsOn ()
virtual void | ExtractTCoordsOff ()
virtual void | SetNumberOfTCoords (int)
virtual int | GetNumberOfTCoords ()
virtual void | SetTCoordComponents (int, int, int, int, int, int)
virtual void | SetTCoordComponents (int[6])
virtual int * | GetTCoordComponents ()
virtual void | GetTCoordComponents (int data[6])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkExtractTensorComponents * | SafeDownCast (vtkObject *o)
vtkExtractTensorComponents * | New ()
## Protected Methods
| vtkExtractTensorComponents ()
| ~vtkExtractTensorComponents ()
void | Execute ()
## Protected Attributes
int | PassTensorsToOutput
int | ExtractScalars
int | ExtractVectors
int | ExtractNormals
int | ExtractTCoords
int | ScalarMode
int | ScalarComponents [2]
int | VectorComponents [6]
int | NormalizeNormals
int | NormalComponents [6]
int | NumberOfTCoords
int | TCoordComponents [6]

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkExtractTensorComponents::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 73 of file vtkExtractTensorComponents.h.

## Constructor & Destructor Documentation

vtkExtractTensorComponents::vtkExtractTensorComponents | ( |  | ) | `[protected]`

vtkExtractTensorComponents::~vtkExtractTensorComponents | ( |  | ) | `[inline, protected]`

| Definition at line 182 of file vtkExtractTensorComponents.h.

## Member Function Documentation

virtual const char* vtkExtractTensorComponents::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkExtractTensorComponents::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkExtractTensorComponents::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkExtractTensorComponents* vtkExtractTensorComponents::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkExtractTensorComponents::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkExtractTensorComponents* vtkExtractTensorComponents::New | ( |  | ) | `[static]`

| Construct object to extract nothing and to not pass tensor data through the pipeline. Reimplemented from vtkObject.

virtual void vtkExtractTensorComponents::SetPassTensorsToOutput | ( | int |  | ) | `[virtual]`

| Boolean controls whether tensor data is passed through to output.

virtual int vtkExtractTensorComponents::GetPassTensorsToOutput | ( |  | ) | `[virtual]`

| Boolean controls whether tensor data is passed through to output.

virtual void vtkExtractTensorComponents::PassTensorsToOutputOn | ( |  | ) | `[virtual]`

| Boolean controls whether tensor data is passed through to output.

virtual void vtkExtractTensorComponents::PassTensorsToOutputOff | ( |  | ) | `[virtual]`

| Boolean controls whether tensor data is passed through to output.

virtual void vtkExtractTensorComponents::SetExtractScalars | ( | int |  | ) | `[virtual]`

| Boolean controls whether scalar data is extracted from tensor.

virtual int vtkExtractTensorComponents::GetExtractScalars | ( |  | ) | `[virtual]`

| Boolean controls whether scalar data is extracted from tensor.

virtual void vtkExtractTensorComponents::ExtractScalarsOn | ( |  | ) | `[virtual]`

| Boolean controls whether scalar data is extracted from tensor.

virtual void vtkExtractTensorComponents::ExtractScalarsOff | ( |  | ) | `[virtual]`

| Boolean controls whether scalar data is extracted from tensor.

virtual void vtkExtractTensorComponents::SetScalarComponents | ( | int | ,
|  | int |
| ) | `[virtual]`

| Specify the (row,column) tensor component to extract as a scalar.

void vtkExtractTensorComponents::SetScalarComponents | ( | int | [2] | ) |

| Specify the (row,column) tensor component to extract as a scalar.

virtual int* vtkExtractTensorComponents::GetScalarComponents | ( |  | ) | `[virtual]`

| Specify the (row,column) tensor component to extract as a scalar.

virtual void vtkExtractTensorComponents::GetScalarComponents | ( | int | data[2] | ) | `[virtual]`

| Specify the (row,column) tensor component to extract as a scalar.

virtual void vtkExtractTensorComponents::SetScalarMode | ( | int |  | ) | `[virtual]`

| Specify how to extract the scalar. You can extract it as one of the components of the tensor, as effective stress, or as the determinant of the tensor. If you extract a component make sure that you set the ScalarComponents ivar.

virtual int vtkExtractTensorComponents::GetScalarMode | ( |  | ) | `[virtual]`

| Specify how to extract the scalar. You can extract it as one of the components of the tensor, as effective stress, or as the determinant of the tensor. If you extract a component make sure that you set the ScalarComponents ivar.

void vtkExtractTensorComponents::SetScalarModeToComponent | ( |  | ) | `[inline]`

| Specify how to extract the scalar. You can extract it as one of the components of the tensor, as effective stress, or as the determinant of the tensor. If you extract a component make sure that you set the ScalarComponents ivar. Definition at line 107 of file vtkExtractTensorComponents.h. References VTK_EXTRACT_COMPONENT.

void vtkExtractTensorComponents::SetScalarModeToEffectiveStress | ( |  | ) | `[inline]`

| Specify how to extract the scalar. You can extract it as one of the components of the tensor, as effective stress, or as the determinant of the tensor. If you extract a component make sure that you set the ScalarComponents ivar. Definition at line 109 of file vtkExtractTensorComponents.h. References VTK_EXTRACT_EFFECTIVE_STRESS.

void vtkExtractTensorComponents::SetScalarModeToDeterminant | ( |  | ) | `[inline]`

| Specify how to extract the scalar. You can extract it as one of the components of the tensor, as effective stress, or as the determinant of the tensor. If you extract a component make sure that you set the ScalarComponents ivar. Definition at line 111 of file vtkExtractTensorComponents.h. References VTK_EXTRACT_DETERMINANT.

void vtkExtractTensorComponents::ScalarIsComponent | ( |  | ) | `[inline]`

| Specify how to extract the scalar. You can extract it as one of the components of the tensor, as effective stress, or as the determinant of the tensor. If you extract a component make sure that you set the ScalarComponents ivar. Definition at line 113 of file vtkExtractTensorComponents.h. References VTK_EXTRACT_COMPONENT.

void vtkExtractTensorComponents::ScalarIsEffectiveStress | ( |  | ) | `[inline]`

| Specify how to extract the scalar. You can extract it as one of the components of the tensor, as effective stress, or as the determinant of the tensor. If you extract a component make sure that you set the ScalarComponents ivar. Definition at line 115 of file vtkExtractTensorComponents.h. References VTK_EXTRACT_EFFECTIVE_STRESS.

void vtkExtractTensorComponents::ScalarIsDeterminant | ( |  | ) | `[inline]`

| Specify how to extract the scalar. You can extract it as one of the components of the tensor, as effective stress, or as the determinant of the tensor. If you extract a component make sure that you set the ScalarComponents ivar. Definition at line 117 of file vtkExtractTensorComponents.h. References VTK_EXTRACT_DETERMINANT.

virtual void vtkExtractTensorComponents::SetExtractVectors | ( | int |  | ) | `[virtual]`

| Boolean controls whether vector data is extracted from tensor.

virtual int vtkExtractTensorComponents::GetExtractVectors | ( |  | ) | `[virtual]`

| Boolean controls whether vector data is extracted from tensor.

virtual void vtkExtractTensorComponents::ExtractVectorsOn | ( |  | ) | `[virtual]`

| Boolean controls whether vector data is extracted from tensor.

virtual void vtkExtractTensorComponents::ExtractVectorsOff | ( |  | ) | `[virtual]`

| Boolean controls whether vector data is extracted from tensor.

virtual void vtkExtractTensorComponents::SetVectorComponents | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector.

virtual void vtkExtractTensorComponents::SetVectorComponents | ( | int | [6] | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector.

virtual int* vtkExtractTensorComponents::GetVectorComponents | ( |  | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector.

virtual void vtkExtractTensorComponents::GetVectorComponents | ( | int | data[6] | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector.

virtual void vtkExtractTensorComponents::SetExtractNormals | ( | int |  | ) | `[virtual]`

| Boolean controls whether normal data is extracted from tensor.

virtual int vtkExtractTensorComponents::GetExtractNormals | ( |  | ) | `[virtual]`

| Boolean controls whether normal data is extracted from tensor.

virtual void vtkExtractTensorComponents::ExtractNormalsOn | ( |  | ) | `[virtual]`

| Boolean controls whether normal data is extracted from tensor.

virtual void vtkExtractTensorComponents::ExtractNormalsOff | ( |  | ) | `[virtual]`

| Boolean controls whether normal data is extracted from tensor.

virtual void vtkExtractTensorComponents::SetNormalizeNormals | ( | int |  | ) | `[virtual]`

| Boolean controls whether normal vector is converted to unit normal after extraction.

virtual int vtkExtractTensorComponents::GetNormalizeNormals | ( |  | ) | `[virtual]`

| Boolean controls whether normal vector is converted to unit normal after extraction.

virtual void vtkExtractTensorComponents::NormalizeNormalsOn | ( |  | ) | `[virtual]`

| Boolean controls whether normal vector is converted to unit normal after extraction.

virtual void vtkExtractTensorComponents::NormalizeNormalsOff | ( |  | ) | `[virtual]`

| Boolean controls whether normal vector is converted to unit normal after extraction.

virtual void vtkExtractTensorComponents::SetNormalComponents | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector.

virtual void vtkExtractTensorComponents::SetNormalComponents | ( | int | [6] | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector.

virtual int* vtkExtractTensorComponents::GetNormalComponents | ( |  | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector.

virtual void vtkExtractTensorComponents::GetNormalComponents | ( | int | data[6] | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector.

virtual void vtkExtractTensorComponents::SetExtractTCoords | ( | int |  | ) | `[virtual]`

| Boolean controls whether texture coordinates are extracted from tensor.

virtual int vtkExtractTensorComponents::GetExtractTCoords | ( |  | ) | `[virtual]`

| Boolean controls whether texture coordinates are extracted from tensor.

virtual void vtkExtractTensorComponents::ExtractTCoordsOn | ( |  | ) | `[virtual]`

| Boolean controls whether texture coordinates are extracted from tensor.

virtual void vtkExtractTensorComponents::ExtractTCoordsOff | ( |  | ) | `[virtual]`

| Boolean controls whether texture coordinates are extracted from tensor.

virtual void vtkExtractTensorComponents::SetNumberOfTCoords | ( | int |  | ) | `[virtual]`

| Set the dimension of the texture coordinates to extract.

virtual int vtkExtractTensorComponents::GetNumberOfTCoords | ( |  | ) | `[virtual]`

| Set the dimension of the texture coordinates to extract.

virtual void vtkExtractTensorComponents::SetTCoordComponents | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector. Up to NumberOfTCoords components are extracted.

virtual void vtkExtractTensorComponents::SetTCoordComponents | ( | int | [6] | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector. Up to NumberOfTCoords components are extracted.

virtual int* vtkExtractTensorComponents::GetTCoordComponents | ( |  | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector. Up to NumberOfTCoords components are extracted.

virtual void vtkExtractTensorComponents::GetTCoordComponents | ( | int | data[6] | ) | `[virtual]`

| Specify the ((row,column)0,(row,column)1,(row,column)2) tensor components to extract as a vector. Up to NumberOfTCoords components are extracted.

void vtkExtractTensorComponents::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkExtractTensorComponents::PassTensorsToOutput`[protected]`

| Definition at line 186 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::ExtractScalars`[protected]`

| Definition at line 188 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::ExtractVectors`[protected]`

| Definition at line 189 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::ExtractNormals`[protected]`

| Definition at line 190 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::ExtractTCoords`[protected]`

| Definition at line 191 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::ScalarMode`[protected]`

| Definition at line 193 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::ScalarComponents[2]`[protected]`

| Definition at line 194 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::VectorComponents[6]`[protected]`

| Definition at line 196 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::NormalizeNormals`[protected]`

| Definition at line 198 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::NormalComponents[6]`[protected]`

| Definition at line 199 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::NumberOfTCoords`[protected]`

| Definition at line 201 of file vtkExtractTensorComponents.h.

int vtkExtractTensorComponents::TCoordComponents[6]`[protected]`

| Definition at line 202 of file vtkExtractTensorComponents.h.

The documentation for this class was generated from the following file:

- Graphics/vtkExtractTensorComponents.h